Flux 2 Flex 图生图
curl --request POST \
--url https://api.sinancode.com/v1/generate/k/flux2-flex-image-to-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input_urls": [
"https://example.com/image1.png",
"https://example.com/image2.png"
],
"prompt": "Replace the can in image 2 with the can from image 1",
"aspect_ratio": "auto",
"resolution": "1K"
}
'import requests
url = "https://api.sinancode.com/v1/generate/k/flux2-flex-image-to-image"
payload = {
"input_urls": ["https://example.com/image1.png", "https://example.com/image2.png"],
"prompt": "Replace the can in image 2 with the can from image 1",
"aspect_ratio": "auto",
"resolution": "1K"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input_urls: ['https://example.com/image1.png', 'https://example.com/image2.png'],
prompt: 'Replace the can in image 2 with the can from image 1',
aspect_ratio: 'auto',
resolution: '1K'
})
};
fetch('https://api.sinancode.com/v1/generate/k/flux2-flex-image-to-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}图片生成 - Flux2
Flux 2 Flex 图生图
使用 Flux 2 Flex 模型进行图片编辑(异步)
POST
/
generate
/
k
/
flux2-flex-image-to-image
Flux 2 Flex 图生图
使用 Black Forest Labs 的 FLUX.2 Flex 模型进行图生图编辑。
模型特点:
- 可调节质量-速度平衡 - 通过 steps 参数控制生成步数,灵活权衡生成质量与速度
- 卓越的文字渲染 - 业界领先的文字生成能力,适合海报、产品图等场景
- 多参考图融合 - 支持最多 10 张参考图融合,保持风格一致性
- 高分辨率编辑 - 最高支持 4MP 分辨率,细节保留出色
授权
请使用您的 API Token 进行认证
请求体
application/json
Task parameters
输入图片 URL 列表(必填,1-8张图片)
Required array length:
1 - 8 elements示例:
[
"https://example.com/image1.png",
"https://example.com/image2.png"
]
提示词(必填,3-5000字符)
Required string length:
3 - 5000示例:
"Replace the can in image 2 with the can from image 1"
宽高比(可选,默认值 auto)
可用选项:
1:1, 4:3, 3:4, 16:9, 9:16, 3:2, 2:3, auto 示例:
"auto"
分辨率(可选,默认值 1K)
可用选项:
1K, 2K 示例:
"1K"
响应
OK
Task ID
示例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I